From 1ea7f88844d72b496f22453605e1a8ae898b1f18 Mon Sep 17 00:00:00 2001
From: DreamMaoMao <2523610504@qq.com>
Date: Fri, 19 Jun 2026 19:25:10 +0800
Subject: [PATCH 16/16] fix: error clip box set for grabc client

---
 src/animation/client.h | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

diff --git a/src/animation/client.h b/src/animation/client.h
index 1df141216..fb771da9b 100644
--- a/src/animation/client.h
+++ b/src/animation/client.h
@@ -1337,7 +1337,7 @@ void resize(Client *c, struct wlr_box geo, int32_t interact) {
 		return;
 
 	struct wlr_box *bbox;
-	struct wlr_box clip_box;
+	struct wlr_box clip;
 
 	if (!c->mon)
 		return;
@@ -1428,14 +1428,11 @@ void resize(Client *c, struct wlr_box geo, int32_t interact) {
 			c->geom;
 		wlr_scene_node_set_position(&c->scene->node, c->geom.x, c->geom.y);
 
-		struct ivec2 offset = clip_to_hide(c, &clip_box);
-
 		apply_border(c);
-		client_get_clip(c, &clip_box);
-		apply_shield(c, clip_box);
+		client_get_clip(c, &clip);
+		apply_shield(c, clip);
 		client_draw_shadow(c);
-		client_draw_blur(c, clip_box, offset);
-		wlr_scene_subsurface_tree_set_clip(&c->scene_surface->node, &clip_box);
+		wlr_scene_subsurface_tree_set_clip(&c->scene_surface->node, &clip);
 		if (config.blur && !c->noblur)
 			wlr_scene_blur_set_size(c->blur,
 									c->animation.current.width - 2 * c->bw,
